#ifndef __ChaimH__
#define __ChaimH__

// 2004 - Chaim Gingold

#include "fRect.h"
#include "fPoint2.h"

#include "../../utils/media_lib/music.h"

void DrawSun    ( fPoint2 c, float radius ) ;
void DrawFlower ( fPoint2 base, float radius, float length, int npetals ) ;


extern Music music ;
extern float gFadeLevel ;

//
const int kPixelWidth  = 800 ;
const int kPixelHeight = 600 ;

const float kWidth  = 8 ;
const float kHeight = 6 ;

const int kNumLevels = 6 ;

#define pix(x) (x*((float)kWidth/(float)kPixelWidth))

fRect GetBounds ( void ) ;

void InitChaim ( void ) ;

bool GetIsMouseDown ( void ) ;

fPoint2 GetMouseLoc ( void ) ;
fPoint2 GetMouseDownLoc ( void ) ;

void MouseMoved ( fPoint2 delta ) ;

void MouseDown ( fPoint2 ) ;
void MouseUp   ( fPoint2 ) ;

void Idle   ( void ) ;
void Render ( void ) ;

bool	GetSelectButton( int j ) ;
bool    GetStartButton ( int j ) ;
fPoint2 GetLeftStick   ( int j ) ;
bool	GetXButton	   ( int j ) ;
bool	GetOButton	   ( int j ) ;

#endif